summaryrefslogtreecommitdiffhomepage
path: root/.buildkite/hooks
diff options
context:
space:
mode:
Diffstat (limited to '.buildkite/hooks')
-rw-r--r--.buildkite/hooks/post-command24
-rw-r--r--.buildkite/hooks/pre-command11
2 files changed, 0 insertions, 35 deletions
diff --git a/.buildkite/hooks/post-command b/.buildkite/hooks/post-command
deleted file mode 100644
index ce3111f3c..000000000
--- a/.buildkite/hooks/post-command
+++ /dev/null
@@ -1,24 +0,0 @@
-# Upload test logs on failure, if there are any.
-if [[ "${BUILDKITE_COMMAND_EXIT_STATUS}" -ne "0" ]]; then
- declare log_count=0
- for log in $(make testlogs 2>/dev/null | sort | uniq); do
- buildkite-agent artifact upload "${log}"
- log_count=$((${log_count}+1))
- # N.B. If *all* tests fail due to some common cause, then we will
- # end up spending way too much time uploading logs. Instead, we just
- # upload the first 100 and stop. That is hopefully enough to debug.
- if [[ "${log_count}" -ge 100 ]]; then
- echo "Only uploaded first 100 failures; skipping the rest."
- break
- fi
- done
- # Attempt to clear the cache and shut down.
- make clean || echo "make clean failed with code $?"
- make bazel-shutdown || echo "make bazel-shutdown failed with code $?"
-fi
-
-# Kill any running containers (clear state).
-CONTAINERS="$(docker ps -q)"
-if ! [[ -z "${CONTAINERS}" ]]; then
- docker container kill ${CONTAINERS} 2>/dev/null || true
-fi \ No newline at end of file
diff --git a/.buildkite/hooks/pre-command b/.buildkite/hooks/pre-command
deleted file mode 100644
index 7d277202b..000000000
--- a/.buildkite/hooks/pre-command
+++ /dev/null
@@ -1,11 +0,0 @@
-# Setup for parallelization with PARTITION and TOTAL_PARTITIONS.
-export PARTITION=${BUILDKITE_PARALLEL_JOB:-0}
-PARTITION=$((${PARTITION}+1)) # 1-indexed, but PARALLEL_JOB is 0-indexed.
-export TOTAL_PARTITIONS=${BUILDKITE_PARALLEL_JOB_COUNT:-1}
-
-# Ensure Docker has experimental enabled.
-EXPERIMENTAL=$(sudo docker version --format='{{.Server.Experimental}}')
-if test "${EXPERIMENTAL}" != "true"; then
- make sudo TARGETS=//runsc:runsc ARGS="install --experimental=true"
- sudo systemctl restart docker
-fi